var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var F01285;
(function (F01285) {
    var FDocument = (function (_super) {
        __extends(FDocument, _super);
        function FDocument(id, version, oldVersion) {
            var _this = _super.call(this, id, version, oldVersion) || this;
            _this.NotOnUpdate = true;
            _this._p1Sheet = null;
            _this._analyticSheet = null;
            _this._p2Sp2Sheet = null;
            _this._p3Sp2Sheet = null;
            _this._sheetP5 = null;
            _this._p2Sp1Sheet = null;
            _this._p3Sp1Sheet = null;
            _this._p2GroupSheet = null;
            _this._p3GroupSheet = null;
            _this._p2Sp2Sp2GroupSheet = null;
            _this._p3Sp2Sp2GroupSheet = null;
            _this._p2Sp2Sp3GroupSheet = null;
            _this._p3Sp2Sp3GroupSheet = null;
            _this._p1Table = null;
            _this._p2Sp2Table = null;
            _this._p2Sp2TotalTable = null;
            _this._p3Sp2Table = null;
            _this._p3Sp2TotalTable = null;
            _this._p2Sp1Table = null;
            _this._p3Sp1Table = null;
            _this._uniqOrgsTableP2 = null;
            _this._uniqOrgsTableP3 = null;
            _this._p2OrgsTable = null;
            _this._p3OrgsTable = null;
            _this._postSprTable = null;
            _this._p2DataTable = null;
            _this._p3DataTable = null;
            _this._p2Sp2Sp3RowsTable = null;
            _this._p2Sp2Sp2DataTable = null;
            _this._p3Sp2Sp2DataTable = null;
            _this._p3Sp2Sp3DataTable = null;
            _this._p2DataTransTable = null;
            _this._npaTable = null;
            _this._salarySprTable = null;
            _this._post0109SprTable = null;
            _this._paymentsSprTable = null;
            _this._p2Sp2Sp3DataTable = null;
            _this._analyticsDataTable = null;
            _this._analyticSheet = null;
            _this._countMonthForCalcTable = null;
            _this._tableRules = new F01285.TableRules(_this);
            _this._interfaceRules = new F01285.InterfaceRules(_this);
            _this._updateRules = new F01285.UpdateRules(_this);
            _this._exportRules = new F01285.ExportRules(_this);
            return _this;
        }
        Object.defineProperty(FDocument.prototype, "TotalTable", {
            get: function () {
                return this.P1Table;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "SheetP1", {
            get: function () {
                if (this._p1Sheet == null) {
                    this._p1Sheet = new F01285.SheetP1("SHT_F01_285_1", this);
                }
                return this._p1Sheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp2Sp3GroupSheet", {
            get: function () {
                if (this._p2Sp2Sp3GroupSheet == null) {
                    this._p2Sp2Sp3GroupSheet = new F01285.P2Sp2Sp3GroupSheet(this, this.P2Sp2Sp3DataTable);
                }
                return this._p2Sp2Sp3GroupSheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3Sp2Sp3GroupSheet", {
            get: function () {
                if (this._p3Sp2Sp3GroupSheet == null) {
                    this._p3Sp2Sp3GroupSheet = new F01285.P3Sp2Sp3GroupSheet(this, this.P3Sp2Sp3DataTable);
                }
                return this._p3Sp2Sp3GroupSheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp2Sp3DataTable", {
            get: function () {
                if (this._p2Sp2Sp3DataTable == null) {
                    this._p2Sp2Sp3DataTable = new F01285.P2Sp2Sp3DataTable("F01_285_r2_2_3", this.P2OrgsTable, this.P2Sp2Sp2DataTable);
                }
                return this._p2Sp2Sp3DataTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "Post0109SprTable", {
            get: function () {
                if (this._post0109SprTable == null) {
                    this._post0109SprTable = new SprTable("Spr_01_19");
                }
                return this._post0109SprTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "PaymentsSprTable", {
            get: function () {
                if (this._paymentsSprTable == null) {
                    this._paymentsSprTable = new SprTable("Payments");
                }
                return this._paymentsSprTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp2Sp2GroupSheet", {
            get: function () {
                if (this._p2Sp2Sp2GroupSheet == null) {
                    this._p2Sp2Sp2GroupSheet = new F01285.P2Sp2Sp2GroupSheet(this);
                }
                return this._p2Sp2Sp2GroupSheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3Sp2Sp2GroupSheet", {
            get: function () {
                if (this._p3Sp2Sp2GroupSheet == null) {
                    this._p3Sp2Sp2GroupSheet = new F01285.P3Sp2Sp2GroupSheet(this);
                }
                return this._p3Sp2Sp2GroupSheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp2Sp2DataTable", {
            get: function () {
                if (this._p2Sp2Sp2DataTable == null) {
                    this._p2Sp2Sp2DataTable = new F01285.P2Sp2Sp2DataTable("F01_285_r2_2_2", this.P2OrgsTable, this.P2Sp2Table);
                }
                return this._p2Sp2Sp2DataTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3Sp2Sp2DataTable", {
            get: function () {
                if (this._p3Sp2Sp2DataTable == null) {
                    this._p3Sp2Sp2DataTable = new F01285.P3Sp2Sp2DataTable("F01_285_r3_2_2", this.P3OrgsTable, this.P3Sp2Table);
                }
                return this._p3Sp2Sp2DataTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3Sp2Sp3DataTable", {
            get: function () {
                if (this._p3Sp2Sp3DataTable == null) {
                    this._p3Sp2Sp3DataTable = new F01285.P3Sp2Sp3DataTable("F01_285_r3_2_3", this, this.P3Sp2Sp2DataTable);
                }
                return this._p3Sp2Sp3DataTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp1Sheet", {
            get: function () {
                if (this._p2Sp1Sheet == null) {
                    this._p2Sp1Sheet = new F01285.FotSheet("SHT_F01_285_2_1", this);
                }
                return this._p2Sp1Sheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3Sp1Sheet", {
            get: function () {
                if (this._p3Sp1Sheet == null) {
                    this._p3Sp1Sheet = new F01285.FotSheet("SHT_F01_285_3_1", this);
                }
                return this._p3Sp1Sheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2GroupSheet", {
            get: function () {
                if (this._p2GroupSheet == null) {
                    this._p2GroupSheet = new F01285.P2GroupSheet(this);
                }
                return this._p2GroupSheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3GroupSheet", {
            get: function () {
                if (this._p3GroupSheet == null) {
                    this._p3GroupSheet = new F01285.P2GroupSheet(this);
                }
                return this._p3GroupSheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "SalarySprTable", {
            get: function () {
                if (this._salarySprTable == null) {
                    this._salarySprTable = new SprTable("PartSalary");
                }
                return this._salarySprTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "NpaTable", {
            get: function () {
                if (this._npaTable == null) {
                    this._npaTable = new F01285.TableNpa("F01_285_r1_4", this);
                }
                return this._npaTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp2Sp3RowsTable", {
            get: function () {
                if (this._p2Sp2Sp3RowsTable == null) {
                    this._p2Sp2Sp3RowsTable = new F01285.P2Sp2Sp3RowsSprTable("F01_285_Sp3_Rows", this);
                }
                return this._p2Sp2Sp3RowsTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2DataTransTable", {
            get: function () {
                if (this._p2DataTransTable == null) {
                    this._p2DataTransTable = new YearTransposedObasTable("tF01_285_r1_2", ["OKSM_ID", "Organization_ID", "PostName_ID", "g5", "g6", "g7", "g8", "g9"]);
                }
                return this._p2DataTransTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P1Table", {
            get: function () {
                if (this._p1Table == null) {
                    this._p1Table = new F01285.TableP1("F01_285_R1_SumValues_V2", this);
                }
                return this._p1Table;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2DataTable", {
            get: function () {
                if (this._p2DataTable == null) {
                    this._p2DataTable = new F01285.P2DataTable("F01_285_r1_2_V2", this.P2OrgsTable, this.P2Sp2Table);
                }
                return this._p2DataTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3DataTable", {
            get: function () {
                if (this._p3DataTable == null) {
                    this._p3DataTable = new F01285.P2DataTable("F01_285_P3Sp1", this.P3OrgsTable, this.P3Sp2Table);
                }
                return this._p3DataTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "PostSprTable", {
            get: function () {
                if (this._postSprTable == null) {
                    this._postSprTable = new SprTable("PostName");
                }
                return this._postSprTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2OrgsTable", {
            get: function () {
                if (this._p2OrgsTable == null) {
                    this._p2OrgsTable = new F01285.OrgsTable("F01_285_r1_2_Main", this.P2UniqOrgsTable);
                }
                return this._p2OrgsTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3OrgsTable", {
            get: function () {
                if (this._p3OrgsTable == null) {
                    this._p3OrgsTable = new F01285.OrgsTable("F01_285_P3_Main", this.P3UniqOrgsTable);
                }
                return this._p3OrgsTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2UniqOrgsTable", {
            get: function () {
                if (this._uniqOrgsTableP2 == null) {
                    this._uniqOrgsTableP2 = new F01285.TableUniqueOrgs("F01_285_DO", this);
                }
                return this._uniqOrgsTableP2;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3UniqOrgsTable", {
            get: function () {
                if (this._uniqOrgsTableP3 == null) {
                    this._uniqOrgsTableP3 = new F01285.TableUniqueOrgs("F01_285_DO2", this);
                }
                return this._uniqOrgsTableP3;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp1Table", {
            get: function () {
                if (this._p2Sp1Table == null) {
                    this._p2Sp1Table = new F01285.PxSp1Table("F01_285_R2_1_Values", this, this.P1Table, F01285.StrKeysP1Total.P2);
                }
                return this._p2Sp1Table;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3Sp1Table", {
            get: function () {
                if (this._p3Sp1Table == null) {
                    this._p3Sp1Table = new F01285.PxSp1Table("F01_285_R3_1_Values", this, this.P1Table, F01285.StrKeysP1Total.P3);
                }
                return this._p3Sp1Table;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp2TotalTable", {
            get: function () {
                if (this._p2Sp2TotalTable == null) {
                    this._p2Sp2TotalTable = new F01285.PxSp2TotalTable("F01_285_P2Sp2_Values", this, this.P2Sp1Table);
                }
                return this._p2Sp2TotalTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P2Sp2Table", {
            get: function () {
                if (this._p2Sp2Table == null) {
                    this._p2Sp2Table = new F01285.PxSp2Table("F01_285_P2Sp2_SumValues", this.P2Sp2TotalTable);
                }
                return this._p2Sp2Table;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3Sp2TotalTable", {
            get: function () {
                if (this._p3Sp2TotalTable == null) {
                    this._p3Sp2TotalTable = new F01285.PxSp2TotalTable("F01_285_P3Sp2_Values", this, this.P3Sp1Table);
                }
                return this._p3Sp2TotalTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "P3Sp2Table", {
            get: function () {
                if (this._p3Sp2Table == null) {
                    this._p3Sp2Table = new F01285.PxSp2Table("F01_285_P3Sp2_SumValues", this.P3Sp2TotalTable);
                }
                return this._p3Sp2Table;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "SheetP5", {
            get: function () {
                if (this._sheetP5 == null) {
                    this._sheetP5 = new F01285.SheetP5("SHT_F01_285_1_4", this);
                }
                return this._sheetP5;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "Sheet2Sp2", {
            get: function () {
                if (this._p2Sp2Sheet == null) {
                    this._p2Sp2Sheet = new F01285.SheetPXSp2("SHT_F01_285_2_2", this);
                }
                return this._p2Sp2Sheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "Sheet3Sp2", {
            get: function () {
                if (this._p3Sp2Sheet == null) {
                    this._p3Sp2Sheet = new F01285.SheetPXSp2("SHT_F01_285_3_2", this);
                }
                return this._p3Sp2Sheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "AnalyticsDataTable", {
            get: function () {
                if (this._analyticsDataTable == null) {
                    this._analyticsDataTable = new AnalyticsKosgu.AnalyticsDataTable("AnalyticsData", this);
                }
                return this._analyticsDataTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "AnalyticSheet", {
            get: function () {
                if (this._analyticSheet == null) {
                    this._analyticSheet = new AnalyticsKosgu.AnalyticsNonEditableSheet("SHT_RA", this);
                }
                return this._analyticSheet;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "CountMonthForCalcTable", {
            get: function () {
                if (this._countMonthForCalcTable == null) {
                    this._countMonthForCalcTable = new F01285.CountMonthForCalcTable("CountMonthForCalc", this);
                }
                return this._countMonthForCalcTable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "TableRules", {
            get: function () {
                return this._tableRules;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "InterfaceRules", {
            get: function () {
                return this._interfaceRules;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "UpdateRules", {
            get: function () {
                return this._updateRules;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FDocument.prototype, "ExportRules", {
            get: function () {
                return this._exportRules;
            },
            enumerable: true,
            configurable: true
        });
        return FDocument;
    }(BaseAnalyticsDocumentObject));
    F01285.FDocument = FDocument;
})(F01285 || (F01285 = {}));
